import appModuleHandler
import os
import inputCore
import keyboardHandler
import api
import scriptHandler
import ui
import controlTypes
from logHandler import log

class AppModule(appModuleHandler.AppModule): 
	def __init__(self, *args, **kwargs):
		super(AppModule, self).__init__(*args, **kwargs)
		inputCore.manager.localeGestureMap.load(os.path.abspath(os.path.join(os.path.dirname(__file__), r"gestures.ini")))
	
	@scriptHandler.script(gesture="kb:control+V",description="Calsci: Colle un calcul dans Calsci en remplaçant les virgules par des points",category="Calsci")
	def script_colle(self, gesture):
		recup=api.getClipData()
		api.copyToClip(recup.replace(",","."))
		ui.message("Collé")
		keyboardHandler.KeyboardInputGesture.fromName("control+v").send()
	
	@scriptHandler.script(gesture="kb:control+C",description="Calsci: Copie la sélection dans Calsci et remplace les points par des virgules",category="Calsci")
	def script_copie(self, gesture):
		keyboardHandler.KeyboardInputGesture.fromName("control+c").send()
		recup=api.getClipData()
		api.copyToClip(recup.replace(".",","))
		ui.message("Copié")
	
	@scriptHandler.script(gesture="kb:enter", description="Calsci: Donne le résultat d'un calcul", category="Calsci")
	def script_Enter(self, gesture):
		fo = api.getFocusObject()
		if hasattr(fo, "role") and fo.role != controlTypes.Role.EDITABLETEXT :
			return gesture.send() 
		if fo.windowClassName == "ThunderRT6TextBox" and fo.windowControlID == 9 : 
			keyboardHandler.KeyboardInputGesture.fromName("alt+c").send()
			ui.message(fo.value)
		else : 
			gesture.send() 